\label{tbl:trues}
\small\begin{longtable}{|l|ccccc|c|c|c|c|c|c|}
    \hline
    & \boldmath$X_1$ & \boldmath$X_2$ & \boldmath$X_3$ & \boldmath$X_4$ & \boldmath$X_5$ & \boldmath$1X_1X_2$ & \boldmath$(1X_1X_2)_{10}$ & \boldmath$(X_3X_4X_5)$ & \boldmath$(X_3X_4X_5)_{10}$ & \boldmath$[+]_{10}$ & \textbf{f} \\
    \hline
    1  & 0 & 0 & 0 & 0 & 0 & 100 & 4 & 000 & 0 & 4  & 1 \\ \hline
    2  & 0 & 0 & 0 & 0 & 1 & 100 & 4 & 001 & 1 & 5  & d \\ \hline
    3  & 0 & 0 & 0 & 1 & 0 & 100 & 4 & 010 & 2 & 6  & 1 \\ \hline
    4  & 0 & 0 & 0 & 1 & 1 & 100 & 4 & 011 & 3 & 7  & 1 \\ \hline
    5  & 0 & 0 & 1 & 0 & 0 & 100 & 4 & 100 & 4 & 8  & 0 \\ \hline
    6  & 0 & 0 & 1 & 0 & 1 & 100 & 4 & 101 & 5 & 9  & 0 \\ \hline
    7  & 0 & 0 & 1 & 1 & 0 & 100 & 4 & 110 & 6 & 10 & 1 \\ \hline
    8  & 0 & 0 & 1 & 1 & 1 & 100 & 4 & 111 & 7 & 11 & 1 \\ \hline
    9  & 0 & 1 & 0 & 0 & 0 & 101 & 5 & 000 & 0 & 5  & 0 \\ \hline
    10 & 0 & 1 & 0 & 0 & 1 & 101 & 5 & 001 & 1 & 6  & d \\ \hline
    11 & 0 & 1 & 0 & 1 & 0 & 101 & 5 & 010 & 2 & 7  & 1 \\ \hline
    12 & 0 & 1 & 0 & 1 & 1 & 101 & 5 & 011 & 3 & 8  & 0 \\ \hline
    13 & 0 & 1 & 1 & 0 & 0 & 101 & 5 & 100 & 4 & 9  & 0 \\ \hline
    14 & 0 & 1 & 1 & 0 & 1 & 101 & 5 & 101 & 5 & 10 & 1 \\ \hline
    15 & 0 & 1 & 1 & 1 & 0 & 101 & 5 & 110 & 6 & 11 & 1 \\ \hline
    16 & 0 & 1 & 1 & 1 & 1 & 101 & 5 & 111 & 7 & 12 & 0 \\ \hline
    17 & 1 & 0 & 0 & 0 & 0 & 110 & 6 & 000 & 0 & 6  & 1 \\ \hline
    18 & 1 & 0 & 0 & 0 & 1 & 110 & 6 & 001 & 1 & 7  & d \\ \hline
    19 & 1 & 0 & 0 & 1 & 0 & 110 & 6 & 010 & 2 & 8  & 0 \\ \hline
    20 & 1 & 0 & 0 & 1 & 1 & 110 & 6 & 011 & 3 & 9  & 0 \\ \hline
    21 & 1 & 0 & 1 & 0 & 0 & 110 & 6 & 100 & 4 & 10 & 1 \\ \hline
    22 & 1 & 0 & 1 & 0 & 1 & 110 & 6 & 101 & 5 & 11 & 1 \\ \hline
    23 & 1 & 0 & 1 & 1 & 0 & 110 & 6 & 110 & 6 & 12 & 0 \\ \hline
    24 & 1 & 0 & 1 & 1 & 1 & 110 & 6 & 111 & 7 & 13 & 0 \\ \hline
    25 & 1 & 1 & 0 & 0 & 0 & 111 & 7 & 000 & 0 & 7  & 1 \\ \hline
    26 & 1 & 1 & 0 & 0 & 1 & 111 & 7 & 001 & 1 & 8  & d \\ \hline
    27 & 1 & 1 & 0 & 1 & 0 & 111 & 7 & 010 & 2 & 9  & 0 \\ \hline
    28 & 1 & 1 & 0 & 1 & 1 & 111 & 7 & 011 & 3 & 10 & 1 \\ \hline
    29 & 1 & 1 & 1 & 0 & 0 & 111 & 7 & 100 & 4 & 11 & 1 \\ \hline
    30 & 1 & 1 & 1 & 0 & 1 & 111 & 7 & 101 & 5 & 12 & 0 \\ \hline
    31 & 1 & 1 & 1 & 1 & 0 & 111 & 7 & 110 & 6 & 13 & 0 \\ \hline
    32 & 1 & 1 & 1 & 1 & 1 & 111 & 7 & 111 & 7 & 14 & 0 \\ \hline
\end{longtable}